execute as @e[tag=chest] positioned -48.00 12.00 -134.00 unless entity @s[dx=105,dy=5,dz=151] run tag @s add not_target

#湧き場所指定
execute as @a at @s run tag @e[distance=..10,tag=chest,tag=!unlock] add not_target
execute as @e[tag=chest,tag=!unlock,tag=!not_target] at @s unless block ~ ~ ~ minecraft:chest run tag @s add target
execute as @e[tag=target,limit=1,sort=random] at @s run tag @e[distance=1..] remove target
execute at @e[tag=target] run particle minecraft:smoke ~ ~ ~ 0.3 0.3 0.3 0 50 force

execute if entity @e[tag=target] run scoreboard players remove spawn_chest game 1

#チェスト向き生成
scoreboard players set range random 4
function cmdata:random/random
execute at @e[tag=target] if score result random matches 0 run setblock ~ ~ ~ minecraft:chest[facing=east]{Lock:"lock"} replace
execute at @e[tag=target] if score result random matches 1 run setblock ~ ~ ~ minecraft:chest[facing=north]{Lock:"lock"} replace
execute at @e[tag=target] if score result random matches 2 run setblock ~ ~ ~ minecraft:chest[facing=south]{Lock:"lock"} replace
execute at @e[tag=target] if score result random matches 3 run setblock ~ ~ ~ minecraft:chest[facing=west]{Lock:"lock"} replace

#アイテム生成
scoreboard players operation range random = sum loot
function cmdata:random/random

#fire
execute at @e[tag=target] if score result random matches 0.. if score result random < fire loot run replaceitem block ~ ~ ~ container.13 minecraft:flint_and_steel{CanPlaceOn:["minecraft:campfire"],display:{Name:'{"text":"火打石と打ち金","color":"white","bold":true,"italic":false}',Lore:['{"text":"薪を燃やすことができる","color":"yellow","bold":false,"italic":false}']},HideFlags:1,Damage:64,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= fire loot
#wood
execute at @e[tag=target] if score result random matches 0.. if score result random < wood loot run replaceitem block ~ ~ ~ container.13 minecraft:stick{display:{Name:'{"text":"薪","color":"white","bold":true,"italic":false}',Lore:['{"text":"ボイラーに投げることで使用できる","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= wood loot
#holy
execute at @e[tag=target] if score result random matches 0.. if score result random < holy loot run replaceitem block ~ ~ ~ container.13 minecraft:cornflower{display:{Name:'{"text":"聖なる花","color":"white","bold":true,"italic":false}',Lore:['{"text":"手にもって使用","color":"yellow","italic":false}','{"text":"呪われた味方を即座に助けることができる","color":"yellow","italic":false}','{"text":"手に持つと呪われた味方の方向が確認できる","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= holy loot
#light
execute at @e[tag=target] if score result random matches 0.. if score result random < light loot run replaceitem block ~ ~ ~ container.13 minecraft:lily_of_the_valley{display:{Name:'{"text":"光の花","color":"white","bold":true,"italic":false}',Lore:['{"text":"燃やすことで発動","color":"yellow","italic":false}','{"text":"鬼の居場所を15秒間特定し","color":"yellow","italic":false}','{"text":"鬼以外の移動速度を20秒間上昇させる","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= light loot
#lost
execute at @e[tag=target] if score result random matches 0.. if score result random < lost loot run replaceitem block ~ ~ ~ container.13 minecraft:blue_orchid{display:{Name:'{"text":"過失の花","color":"white","bold":true,"italic":false}',Lore:['{"text":"シフトで使用","color":"yellow","italic":false}','{"text":"10秒間足跡を残さなくなる","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= lost loot
#rose
execute at @e[tag=target] if score result random matches 0.. if score result random < rose loot run replaceitem block ~ ~ ~ container.13 minecraft:wither_rose{display:{Name:'{"text":"黒薔薇","color":"dark_gray","bold":true,"italic":false}',Lore:['{"text":"ボイラーで燃やそう","color":"yellow","italic":false}','{"text":"ウィザーの呪いに味方する","color":"dark_gray","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= rose loot
#vitality
execute at @e[tag=target] if score result random matches 0.. if score result random < vitality loot run replaceitem block ~ ~ ~ container.13 minecraft:red_tulip{display:{Name:'{"text":"活力の花","color":"white","bold":true,"italic":false}',Lore:['{"text":"シフトで使用","color":"yellow","italic":false}','{"text":"2秒間足が速くなる","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= vitality loot
#protect
execute at @e[tag=target] if score result random matches 0.. if score result random < protect loot run replaceitem block ~ ~ ~ container.13 minecraft:azure_bluet{display:{Name:'{"text":"守護の花","color":"white","bold":true,"italic":false}',Lore:['{"text":"モンスターからの呪いを一度だけ防ぐ","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= protect loot
#wire
execute at @e[tag=target] if score result random matches 0.. if score result random < wire loot run replaceitem block ~ ~ ~ container.13 minecraft:string{display:{Name:'{"text":"針金","color":"white","bold":true,"italic":false}',Lore:['{"text":"手に持って使用","color":"yellow","italic":false}','{"text":"チェストを即座に開錠する","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]} 3
execute at @e[tag=target] run scoreboard players operation result random -= wire loot

scoreboard players set range random 100
function cmdata:random/random
scoreboard players operation result loot = result random
scoreboard players operation range random = sum loot
function cmdata:random/random

#fire
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < fire loot run replaceitem block ~ ~ ~ container.11 minecraft:flint_and_steel{CanPlaceOn:["minecraft:campfire"],display:{Name:'{"text":"火打石と打ち金","color":"white","bold":true,"italic":false}',Lore:['{"text":"薪を燃やすことができる","color":"yellow","bold":false,"italic":false}']},HideFlags:1,Damage:64,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= fire loot
#wood
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < wood loot run replaceitem block ~ ~ ~ container.11 minecraft:stick{display:{Name:'{"text":"薪","color":"white","bold":true,"italic":false}',Lore:['{"text":"ボイラーに投げることで使用できる","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= wood loot
#holy
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < holy loot run replaceitem block ~ ~ ~ container.11 minecraft:cornflower{display:{Name:'{"text":"聖なる花","color":"white","bold":true,"italic":false}',Lore:['{"text":"手にもって使用","color":"yellow","italic":false}','{"text":"呪われた味方を即座に助けることができる","color":"yellow","italic":false}','{"text":"手に持つと呪われた味方の方向が確認できる","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= holy loot
#light
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < light loot run replaceitem block ~ ~ ~ container.11 minecraft:lily_of_the_valley{display:{Name:'{"text":"光の花","color":"white","bold":true,"italic":false}',Lore:['{"text":"燃やすことで発動","color":"yellow","italic":false}','{"text":"鬼の居場所を15秒間特定し","color":"yellow","italic":false}','{"text":"鬼以外の移動速度を20秒間上昇させる","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= light loot
#lost
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < lost loot run replaceitem block ~ ~ ~ container.11 minecraft:blue_orchid{display:{Name:'{"text":"過失の花","color":"white","bold":true,"italic":false}',Lore:['{"text":"シフトで使用","color":"yellow","italic":false}','{"text":"10秒間足跡を残さなくなる","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= lost loot
#rose
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < rose loot run replaceitem block ~ ~ ~ container.11 minecraft:wither_rose{display:{Name:'{"text":"黒薔薇","color":"dark_gray","bold":true,"italic":false}',Lore:['{"text":"ボイラーで燃やそう","color":"yellow","italic":false}','{"text":"ウィザーの呪いに味方する","color":"dark_gray","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= rose loot
#vitality
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < vitality loot run replaceitem block ~ ~ ~ container.11 minecraft:red_tulip{display:{Name:'{"text":"活力の花","color":"white","bold":true,"italic":false}',Lore:['{"text":"シフトで使用","color":"yellow","italic":false}','{"text":25秒間足が速くなる","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= vitality loot
#protect
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < protect loot run replaceitem block ~ ~ ~ container.11 minecraft:azure_bluet{display:{Name:'{"text":"守護の花","color":"white","bold":true,"italic":false}',Lore:['{"text":"モンスターからの呪いを一度だけ防ぐ","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= protect loot
#wire
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < wire loot run replaceitem block ~ ~ ~ container.13 minecraft:string{display:{Name:'{"text":"針金","color":"white","bold":true,"italic":false}',Lore:['{"text":"手に持って使用","color":"yellow","italic":false}','{"text":"チェストを即座に開錠する","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]} 3
execute at @e[tag=target] run scoreboard players operation result random -= wire loot

scoreboard players set range random 100
function cmdata:random/random
scoreboard players operation result loot = result random
scoreboard players operation range random = sum loot
function cmdata:random/random
#fire
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < fire loot run replaceitem block ~ ~ ~ container.15 minecraft:flint_and_steel{CanPlaceOn:["minecraft:campfire"],display:{Name:'{"text":"火打石と打ち金","color":"white","bold":true,"italic":false}',Lore:['{"text":"薪を燃やすことができる","color":"yellow","bold":false,"italic":false}']},HideFlags:1,Damage:64,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= fire loot
#wood
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < wood loot run replaceitem block ~ ~ ~ container.15 minecraft:stick{display:{Name:'{"text":"薪","color":"white","bold":true,"italic":false}',Lore:['{"text":"ボイラーに投げることで使用できる","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= wood loot
#holy
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < holy loot run replaceitem block ~ ~ ~ container.15 minecraft:cornflower{display:{Name:'{"text":"聖なる花","color":"white","bold":true,"italic":false}',Lore:['{"text":"手にもって使用","color":"yellow","italic":false}','{"text":"呪われた味方を即座に助けることができる","color":"yellow","italic":false}','{"text":"手に持つと呪われた味方の方向が確認できる","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= holy loot
#light
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < light loot run replaceitem block ~ ~ ~ container.15 minecraft:lily_of_the_valley{display:{Name:'{"text":"光の花","color":"white","bold":true,"italic":false}',Lore:['{"text":"燃やすことで発動","color":"yellow","italic":false}','{"text":"鬼の居場所を15秒間特定し","color":"yellow","italic":false}','{"text":"鬼以外の移動速度を20秒間上昇させる","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= light loot
#lost
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < lost loot run replaceitem block ~ ~ ~ container.15 minecraft:blue_orchid{display:{Name:'{"text":"過失の花","color":"white","bold":true,"italic":false}',Lore:['{"text":"シフトで使用","color":"yellow","italic":false}','{"text":"10秒間足跡を残さなくなる","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= lost loot
#rose
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < rose loot run replaceitem block ~ ~ ~ container.15 minecraft:wither_rose{display:{Name:'{"text":"黒薔薇","color":"dark_gray","bold":true,"italic":false}',Lore:['{"text":"ボイラーで燃やそう","color":"yellow","italic":false}','{"text":"ウィザーの呪いに味方する","color":"dark_gray","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= rose loot
#vitality
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < vitality loot run replaceitem block ~ ~ ~ container.15 minecraft:red_tulip{display:{Name:'{"text":"活力の花","color":"white","bold":true,"italic":false}',Lore:['{"text":"シフトで使用","color":"yellow","italic":false}','{"text":25秒間足が速くなる","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= vitality loot
#protect
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < protect loot run replaceitem block ~ ~ ~ container.15 minecraft:azure_bluet{display:{Name:'{"text":"守護の花","color":"white","bold":true,"italic":false}',Lore:['{"text":"モンスターからの呪いを一度だけ防ぐ","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]}
execute at @e[tag=target] run scoreboard players operation result random -= protect loot
#wire
execute at @e[tag=target] if score result loot matches ..30 if score result random matches 0.. if score result random < wire loot run replaceitem block ~ ~ ~ container.13 minecraft:string{display:{Name:'{"text":"針金","color":"white","bold":true,"italic":false}',Lore:['{"text":"手に持って使用","color":"yellow","italic":false}','{"text":"チェストを即座に開錠する","color":"yellow","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:mending",lvl:1s}]} 3
execute at @e[tag=target] run scoreboard players operation result random -= wire loot




tag @e[tag=target] remove target
tag @e[tag=not_target] remove not_target